Bug 540181 - SELinux is preventing /usr/bin/python "create" access.
Summary: SELinux is preventing /usr/bin/python "create" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4c667f21dc0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 17:26 UTC by Dave
Modified: 2009-12-02 04:41 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:04 UTC


Attachments (Terms of Use)

Description Dave 2009-11-22 17:26:26 UTC
Summary:

SELinux is preventing /usr/bin/python "create" access.

Detailed Description:

[system-config-k has a permissive type (kdumpgui_t). This access was not
denied.]

SELinux denied access requested by system-config-k. It is not expected that this
access is required by system-config-k and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:kdumpgui_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kdumpgui_t:s0-s0:c0.c1023
Target Objects                None [ unix_dgram_socket ]
Source                        system-config-k
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1
                              SMP Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   1
First Seen                    Sat 21 Nov 2009 02:35:54 PM MST
Last Seen                     Sat 21 Nov 2009 02:35:54 PM MST
Local ID                      e12aee70-9cad-4773-9461-87380812fea4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258839354.764:173): avc:  denied  { create } for  pid=28496 comm="system-config-k" scontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1258839354.764:173): arch=40000003 syscall=102 success=yes exit=3 a0=1 a1=bf9f039c a2=4e7ff4 a3=1 items=0 ppid=28495 pid=28496 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="system-config-k" exe="/usr/bin/python" subj=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,system-config-k,kdumpgui_t,kdumpgui_t,unix_dgram_socket,create
audit2allow suggests:

#============= kdumpgui_t ==============
allow kdumpgui_t self:unix_dgram_socket create;

Comment 1 Daniel Walsh 2009-11-23 15:46:33 UTC

You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:06 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:24 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:33 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.